Subject: Re: [PATCH V4 00/31] powerpc/mm: Update page table format for book3s 64

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Fri, 23 Oct 2015 11:36:56 +0530

Denis Kirjanov <[email-masked]> writes:

> On 10/17/15, Aneesh Kumar K.V <[email-masked]> wrote:
>> Hi All,
>>
>> This patch series attempt to update book3s 64 linux page table format to
>> make it more flexible. Our current pte format is very restrictive and we
>> overload multiple pte bits. This is due to the non-availability of free bits
>> in pte_t. We use pte_t to track the validity of 4K subpages. This patch
>> series free up pte_t of 11 bits by moving 4K subpage tracking to the
>> lower half of PTE page. The pte format is updated such that we have a
>> better method for identifying a pte entry at pmd level. This will also
>> enable
>> us to implement hugetlb migration(not yet done in this series).
>
> Hi, what tree does this apply to?
>

linux-powerpc tree -next branch

https://git.kernel.org/cgit/linux/kernel/git/powerpc/linux.git/

-aneesh